# Uses of Interface
java.awt.datatransfer.ClipboardOwner

Packages that use ClipboardOwner
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.

## Uses of ClipboardOwner in java.awt.datatransfer

Classes in java.awt.datatransfer that implement ClipboardOwner
Modifier and Type
Class
Description
`class`
`StringSelection`
A `Transferable` which implements the capability required to transfer a `String`.
Fields in java.awt.datatransfer declared as ClipboardOwner
Modifier and Type
Field
Description
`protected ClipboardOwner`
Clipboard.`owner`
The owner of the clipboard.
Methods in java.awt.datatransfer with parameters of type ClipboardOwner
Modifier and Type
Method
Description
`void`
Clipboard.`setContents(Transferable contents, ClipboardOwner owner)`
Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents.